statistics-0.16.2.1: A library of statistical types, data, and functions

Copyright | (C) 2012 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | DeriveDataTypeable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Statistics.Distribution.Beta

Contents

- Constructor
- Accessors

Description

Synopsis

- data BetaDistribution
- betaDistr :: Double -> Double -> BetaDistribution
- betaDistrE :: Double -> Double -> Maybe BetaDistribution
- improperBetaDistr :: Double -> Double -> BetaDistribution
- improperBetaDistrE :: Double -> Double -> Maybe BetaDistribution
- bdAlpha :: BetaDistribution -> Double
- bdBeta :: BetaDistribution -> Double

# Documentation

data BetaDistribution Source #

The beta distribution

#### Instances

Instances details

FromJSON BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods parseJSON :: Value -> Parser BetaDistribution Source # parseJSONList :: Value -> Parser [BetaDistribution] Source #
ToJSON BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods toJSON :: BetaDistribution -> Value Source # toEncoding :: BetaDistribution -> Encoding Source # toJSONList :: [BetaDistribution] -> Value Source # toEncodingList :: [BetaDistribution] -> Encoding Source #
Data BetaDistribution Source # |

Instance details

Defined in Statistics.Distribution.Beta

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> BetaDistribution -> c BetaDistribution Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c BetaDistribution Source #

toConstr :: BetaDistribution -> Constr Source #

dataTypeOf :: BetaDistribution -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c BetaDistribution) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c BetaDistribution) Source #

gmapT :: (forall b. Data b => b -> b) -> BetaDistribution -> BetaDistribution Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> BetaDistribution -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> BetaDistribution -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> BetaDistribution -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> BetaDistribution -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> BetaDistribution -> m BetaDistribution Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> BetaDistribution -> m BetaDistribution Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> BetaDistribution -> m BetaDistribution Source #

Generic BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Associated Types type Rep BetaDistribution :: Type -> Type Source # Methods from :: BetaDistribution -> Rep BetaDistribution x Source # to :: Rep BetaDistribution x -> BetaDistribution Source #
Read BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods readsPrec :: Int -> ReadS BetaDistribution Source # readList :: ReadS [BetaDistribution] Source # readPrec :: ReadPrec BetaDistribution Source # readListPrec :: ReadPrec [BetaDistribution] Source #
Show BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods showsPrec :: Int -> BetaDistribution -> ShowS Source # show :: BetaDistribution -> String Source # showList :: [BetaDistribution] -> ShowS Source #
Binary BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods put :: BetaDistribution -> Put Source # get :: Get BetaDistribution Source # putList :: [BetaDistribution] -> Put Source #
Eq BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods (==) :: BetaDistribution -> BetaDistribution -> Bool Source # (/=) :: BetaDistribution -> BetaDistribution -> Bool Source #
ContDistr BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods density :: BetaDistribution -> Double -> Double Source # logDensity :: BetaDistribution -> Double -> Double Source # quantile :: BetaDistribution -> Double -> Double Source # complQuantile :: BetaDistribution -> Double -> Double Source #
ContGen BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods genContVar :: StatefulGen g m => BetaDistribution -> g -> m Double Source #
Distribution BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods cumulative :: BetaDistribution -> Double -> Double Source # complCumulative :: BetaDistribution -> Double -> Double Source #
Entropy BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods entropy :: BetaDistribution -> Double Source #
MaybeEntropy BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods maybeEntropy :: BetaDistribution -> Maybe Double Source #
MaybeMean BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods maybeMean :: BetaDistribution -> Maybe Double Source #
MaybeVariance BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods maybeVariance :: BetaDistribution -> Maybe Double Source # maybeStdDev :: BetaDistribution -> Maybe Double Source #
Mean BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods mean :: BetaDistribution -> Double Source #
Variance BetaDistribution Source # |
Instance details Defined in Statistics.Distribution.Beta Methods variance :: BetaDistribution -> Double Source # stdDev :: BetaDistribution -> Double Source #
type Rep BetaDistribution Source # |

Instance details

Defined in Statistics.Distribution.Beta

type Rep BetaDistribution = D1 ('MetaData "BetaDistribution" "Statistics.Distribution.Beta" "statistics-0.16.2.1-EfbCvDihUgt16PhDul7t8F" 'False) (C1 ('MetaCons "BD" 'PrefixI 'True) (S1 ('MetaSel ('Just "bdAlpha") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double) :*: S1 ('MetaSel ('Just "bdBeta") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double)))

# Constructor

betaDistr Source #

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> BetaDistribution |

Create beta distribution. Both shape parameters must be positive.

betaDistrE Source #

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> Maybe BetaDistribution |

Create beta distribution. Both shape parameters must be positive.

improperBetaDistr Source #

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> BetaDistribution |

Create beta distribution. Both shape parameters must be non-negative. So it allows to construct improper beta distribution which could be used as improper prior.

improperBetaDistrE Source #

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> Maybe BetaDistribution |

Create beta distribution. Both shape parameters must be non-negative. So it allows to construct improper beta distribution which could be used as improper prior.

# Accessors

bdAlpha :: BetaDistribution -> Double Source #

Alpha shape parameter

bdBeta :: BetaDistribution -> Double Source #

Beta shape parameter